set terminal postscript landscape color enhanced "Helvetica" 12
set output "tree-latency.eps"
set title "Tree (n=9) - latency - 32 byte pagesize"
#set autoscale
set xrange [0:25000]
set yrange [1:10000]
set ylabel "loop execution time [{/Symbol m}s] (logarithmic)\n(lower is better)"
set xlabel "allocation operations"
set logscale y 10

plot \
"latency/persistent-2.dat" using ($2)/1000 with lines lt 1 title "persistent", \
"latency/persistent-2.dat" using ($3)/1000 with points lt 1 title "", \
"latency/gc-2.dat" using ($2)/1000 with lines lt 2 title "gc", \
"latency/gc-2.dat" using ($3)/1000 with points lt 2 title "", \
"latency/stm-gc-2.dat" using ($2)/1000 with lines lt 3 title "stm+gc", \
"latency/stm-gc-2.dat" using ($3)/1000 with points lt 3 title "", \
"latency/stm-only-2.dat" using ($2)/1000 with lines lt 4 title "stm only", \
"latency/stm-only-2.dat" using ($3)/1000 with points lt 4 title ""
