set terminal postscript landscape color enhanced "Helvetica" 12
#set terminal postscript eps
set output "tree-space-latency.eps"
set title "Tree space/latency (n=9, 32 byte pagesize)"
set xrange [0:100000]
set ylabel "memory consumption [MB]\n(lower is better)"
set xlabel 'allocator operations'
set key outside below
set ytics nomirror
set y2range [1:10000]
set y2tics border
set logscale y2 10
set y2label "loop execution time [{/Symbol m}s] (logarithmic)\n(lower is better)"

plot \
"space/gc.dat" using ($3+$5)/(1024*1024) with lines lt 1 title "gc (space)", \
"space/stm-gc.dat" using ($3+$5)/(1024*1024) with lines lt 2 title "stm+gc (space)", \
"space/stm-only.dat" using ($3+$5)/(1024*1024) with lines lt 3 title "stm only (space)", \
"latency/persistent-2.dat" using ($2)/1000 with lines lt 1 axes x1y2 title "persistent (latency)", \
"latency/persistent-2.dat" using ($3)/1000 with points lt 1 axes x1y2 title "", \
"latency/gc-2.dat" using ($2)/1000 with lines lt 2 axes x1y2 title "gc (latency)", \
"latency/gc-2.dat" using ($3)/1000 with points lt 2 axes x1y2 title "", \
"latency/stm-gc-2.dat" using ($2)/1000 with lines lt 3 axes x1y2 title "stm+gc (latency)", \
"latency/stm-gc-2.dat" using ($3)/1000 with points lt 3 axes x1y2 title "", \
"latency/stm-only-2.dat" using ($2)/1000 with lines lt 4 axes x1y2 title "stm only (latency)", \
"latency/stm-only-2.dat" using ($3)/1000 with points lt 4 axes x1y2 title ""

