.\" Man page for short-term memory in Go

.TH stm-go 7 "Nov 2010" "University Salzburg" "Short-term memory in Go"

.SH NAME
STM \- Short-term memory in Go

.SH SYNOPSIS
.B import (
.B \[dq]runtime\[dq]
.B )

.B runtime.StmRefresh(
.I object 
.B interface{}
, 
.I expiration_extension 
.B uint32)
.B runtime.StmRefresh0(
.I object 
.B interface{}
.B )

.B runtime.StmTick(
.B )

.SH DESCRIPTION
An 
.I object 
may be flagged as short term using either
.B StmRefresh
or 
.B StmRefresh0
, indicating that it expires after some time, the 
.I expiration_extension
, elapsed.
The function 
.B StmTick
is used to make the time elapse by 1.

Objects that are flagged for short-term are ignored by the garbage collector
and are only collected when the time advances.

.SH AUTHOR
Michael Lippautz <michael.lippautz@gmail.com>

.SH SEE ALSO
http://tiptoe.cs.uni-salzburg.at

